# mower-ng 启动器

## 开发环境

安装 `pip-tools`

```bash
pip install pip-tools
```

安装依赖

```bash
pip-sync requirements.txt
```

## 打包

前端运行 `npm run build` 生成 `ui/dist`，之后安装 PyInstaller，运行

```bash
pyinstaller -w --add-data "ui/dist:ui/dist" --add-data "launcher/sys_config/config_dist.json:launcher/sys_config" launcher.py
```

在dist文件夹生成launcher文件夹

```bash
cd dist
py7zr c launcher.7z launcher
```
